import { warning } from 'reakit-utils/warning';
import 'react';
import '../Id/IdProvider.js';
import 'reakit-system/createComponent';
import 'reakit-system/createHook';
import '../Box/Box.js';
import '../_rollupPluginBabelHelpers-f089acec.js';
import 'reakit-utils/useForkRef';
import 'reakit-utils/isButton';
import 'reakit-utils/tabbable';
import 'reakit-utils/hasFocusWithin';
import '../Tabbable/Tabbable.js';
import '../Button/Button.js';
import 'reakit-utils/useAllCallbacks';
import 'reakit-utils/useSealedState';
import 'reakit-utils/cx';
import '../Id/IdState.js';
import '../Id/IdGroup.js';
import 'reakit-utils/useIsomorphicEffect';
import { useDisclosureState } from '../Disclosure/DisclosureState.js';
import '../Disclosure/DisclosureRegion.js';
import '../Disclosure/Disclosure.js';

function useHiddenState(initialState) {
  if (initialState === void 0) {
    initialState = {};
  }

  process.env.NODE_ENV !== "production" ? warning(true, "[reakit/useHiddenState]", "`useHiddenState` has been renamed to `useDisclosureState`. `useHiddenState` will no longer work in future versions.", "See https://reakit.io/docs/disclosure") : void 0;
  return useDisclosureState(initialState);
}
useHiddenState.__keys = useDisclosureState.__keys;

export { useHiddenState };
