import 'reakit-utils/warning';
import 'react';
import '../Id/IdProvider.js';
import { _ as _objectWithoutPropertiesLoose, a as _objectSpread2 } from '../_rollupPluginBabelHelpers-f089acec.js';
import { useSealedState } from 'reakit-utils/useSealedState';
import '../Id/IdState.js';
import 'reakit-utils/useIsomorphicEffect';
import '../Disclosure/DisclosureState.js';
import '../Dialog/DialogState.js';
import '@popperjs/core';
import { usePopoverState } from '../Popover/PopoverState.js';

function useTooltipState(initialState) {
  if (initialState === void 0) {
    initialState = {};
  }

  var _useSealedState = useSealedState(initialState),
      _useSealedState$place = _useSealedState.placement,
      placement = _useSealedState$place === void 0 ? "top" : _useSealedState$place,
      sealed = _objectWithoutPropertiesLoose(_useSealedState, ["placement"]);

  return usePopoverState(_objectSpread2({}, sealed, {
    placement: placement
  }));
}
var keys = [].concat(usePopoverState.__keys);
useTooltipState.__keys = keys;

export { useTooltipState };
