'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var warning = require('reakit-utils/warning');
require('react');
require('../Id/IdProvider.js');
require('reakit-system/createComponent');
require('reakit-system/createHook');
require('../Box/Box.js');
require('../_rollupPluginBabelHelpers-baac11a7.js');
require('reakit-utils/useForkRef');
require('reakit-utils/isButton');
require('reakit-utils/tabbable');
require('reakit-utils/hasFocusWithin');
require('../Tabbable/Tabbable.js');
require('../Button/Button.js');
require('reakit-utils/useAllCallbacks');
require('reakit-utils/useSealedState');
require('reakit-utils/cx');
require('../Id/IdState.js');
require('../Id/IdGroup.js');
require('reakit-utils/useIsomorphicEffect');
var DisclosureState = require('../Disclosure/DisclosureState.js');
require('../Disclosure/DisclosureRegion.js');
require('../Disclosure/Disclosure.js');

function useHiddenState(initialState) {
  if (initialState === void 0) {
    initialState = {};
  }

  process.env.NODE_ENV !== "production" ? warning.warning(true, "[reakit/useHiddenState]", "`useHiddenState` has been renamed to `useDisclosureState`. `useHiddenState` will no longer work in future versions.", "See https://reakit.io/docs/disclosure") : void 0;
  return DisclosureState.useDisclosureState(initialState);
}
useHiddenState.__keys = DisclosureState.useDisclosureState.__keys;

exports.useHiddenState = useHiddenState;
