'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('reakit-utils/warning');
require('react');
require('../Id/IdProvider.js');
var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
require('../Box/Box.js');
var _rollupPluginBabelHelpers = require('../_rollupPluginBabelHelpers-baac11a7.js');
require('reakit-utils/useAllCallbacks');
require('reakit-utils/useSealedState');
require('reakit-utils/usePipe');
require('reakit-utils/cx');
require('../Id/IdState.js');
require('../Id/IdGroup.js');
require('reakit-utils/useIsomorphicEffect');
require('../Disclosure/DisclosureState.js');
require('../Disclosure/DisclosureRegion.js');
require('react-dom');
require('../Portal/Portal.js');
require('../Dialog/DialogState.js');
require('../DialogBackdropContext-faf4ce85.js');
var DialogBackdrop = require('../Dialog/DialogBackdrop.js');
require('@popperjs/core');
var PopoverState = require('./PopoverState.js');

var usePopoverBackdrop = createHook.createHook({
  name: "PopoverBackdrop",
  compose: DialogBackdrop.useDialogBackdrop,
  useState: PopoverState.usePopoverState,
  useOptions: function useOptions(_ref) {
    var _ref$modal = _ref.modal,
        modal = _ref$modal === void 0 ? false : _ref$modal,
        options = _rollupPluginBabelHelpers._objectWithoutPropertiesLoose(_ref, ["modal"]);

    return _rollupPluginBabelHelpers._objectSpread2({
      modal: modal
    }, options);
  }
});
var PopoverBackdrop = createComponent.createComponent({
  as: "div",
  useHook: usePopoverBackdrop
});

exports.PopoverBackdrop = PopoverBackdrop;
exports.usePopoverBackdrop = usePopoverBackdrop;
