'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('reakit-utils/warning');
require('react');
require('../Id/IdProvider.js');
var createComponent = require('reakit-system/createComponent');
var createHook = require('reakit-system/createHook');
require('../Box/Box.js');
require('../_rollupPluginBabelHelpers-baac11a7.js');
require('reakit-utils/useForkRef');
require('reakit-utils/isButton');
require('reakit-utils/tabbable');
require('reakit-utils/hasFocusWithin');
require('../Tabbable/Tabbable.js');
require('reakit-utils/useAllCallbacks');
require('reakit-utils/useSealedState');
require('../Id/IdState.js');
require('reakit-utils/createOnKeyDown');
require('../Id/Id.js');
require('../Rover/RoverState.js');
var Rover = require('../Rover/Rover.js');
var ToolbarState = require('./ToolbarState.js');

var useToolbarItem = createHook.createHook({
  name: "ToolbarItem",
  compose: Rover.useRover,
  useState: ToolbarState.useToolbarState
});
var ToolbarItem = createComponent.createComponent({
  as: "button",
  useHook: useToolbarItem
});

exports.ToolbarItem = ToolbarItem;
exports.useToolbarItem = useToolbarItem;
