import * as React from "react";
import { RadioOptions, RadioHTMLProps } from "../Radio/Radio";
import { MenuStateReturn } from "./MenuState";
import { MenuItemOptions, MenuItemHTMLProps } from "./MenuItem";
export declare type MenuItemRadioOptions = RadioOptions & MenuItemOptions & Pick<MenuStateReturn, "unstable_values" | "unstable_setValue"> & {
    /**
     * MenuItemRadio's name as in `menu.values`.
     */
    name: string;
};
export declare type MenuItemRadioHTMLProps = RadioHTMLProps & MenuItemHTMLProps;
export declare type MenuItemRadioProps = MenuItemRadioOptions & MenuItemRadioHTMLProps;
export declare const useMenuItemRadio: {
    (options?: MenuItemRadioOptions | undefined, htmlProps?: RadioHTMLProps | undefined): RadioHTMLProps;
    __keys: readonly any[];
    __useOptions: (options: MenuItemRadioOptions, htmlProps: RadioHTMLProps) => MenuItemRadioOptions;
    __propsAreEqual?: ((prev: import("..").BoxOptions & {
        disabled?: boolean | undefined;
        focusable?: boolean | undefined;
        unstable_clickOnEnter?: boolean | undefined;
        unstable_clickOnSpace?: boolean | undefined;
    } & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef"> & {
        id?: string | undefined;
    } & Pick<Partial<import("..").RoverStateReturn>, "orientation" | "unstable_moves"> & Pick<import("..").RoverStateReturn, "move" | "first" | "last" | "currentId" | "stops" | "register" | "unregister" | "next" | "previous"> & {
        stopId?: string | undefined;
    } & Pick<Partial<import("..").RadioStateReturn>, "state" | "setState"> & {
        value: any;
        checked?: boolean | undefined;
    } & Pick<Partial<MenuStateReturn>, "visible" | "hide" | "placement"> & Pick<MenuStateReturn, "move" | "next" | "previous"> & Pick<MenuStateReturn, "unstable_values" | "unstable_setValue"> & {
        /**
         * MenuItemRadio's name as in `menu.values`.
         */
        name: string;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    } & {
        disabled?: boolean | undefined;
    } & React.InputHTMLAttributes<any>, next: import("..").BoxOptions & {
        disabled?: boolean | undefined;
        focusable?: boolean | undefined;
        unstable_clickOnEnter?: boolean | undefined;
        unstable_clickOnSpace?: boolean | undefined;
    } & Pick<Partial<import("..").unstable_IdStateReturn>, "baseId" | "unstable_idCountRef"> & {
        id?: string | undefined;
    } & Pick<Partial<import("..").RoverStateReturn>, "orientation" | "unstable_moves"> & Pick<import("..").RoverStateReturn, "move" | "first" | "last" | "currentId" | "stops" | "register" | "unregister" | "next" | "previous"> & {
        stopId?: string | undefined;
    } & Pick<Partial<import("..").RadioStateReturn>, "state" | "setState"> & {
        value: any;
        checked?: boolean | undefined;
    } & Pick<Partial<MenuStateReturn>, "visible" | "hide" | "placement"> & Pick<MenuStateReturn, "move" | "next" | "previous"> & Pick<MenuStateReturn, "unstable_values" | "unstable_setValue"> & {
        /**
         * MenuItemRadio's name as in `menu.values`.
         */
        name: string;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    } & {
        disabled?: boolean | undefined;
    } & React.InputHTMLAttributes<any>) => boolean) | undefined;
};
export declare const MenuItemRadio: import("reakit-system/src/createComponent").Component<"button", MenuItemRadioOptions>;
