import { SealedInitialState } from "reakit-utils/useSealedState";
import { RoverState, RoverActions } from "../Rover/RoverState";
export declare type TabState = RoverState & {
    /**
     * The current selected tab's `stopId`.
     */
    selectedId: RoverState["currentId"];
    /**
     * Whether the tab selection should be manual.
     */
    manual: boolean;
};
export declare type TabActions = RoverActions & {
    /**
     * Selects a tab by its `stopId`.
     */
    select: (id: TabState["selectedId"]) => void;
};
export declare type TabInitialState = Partial<TabState>;
export declare type TabStateReturn = TabState & TabActions;
export declare function useTabState(initialState?: SealedInitialState<TabInitialState>): TabStateReturn;
export declare namespace useTabState {
    var __keys: ("move" | "first" | "last" | "manual" | "select" | "baseId" | "unstable_idCountRef" | "unstable_setBaseId" | "orientation" | "currentId" | "loop" | "stops" | "unstable_pastId" | "unstable_moves" | "register" | "unregister" | "next" | "previous" | "unstable_reset" | "unstable_orientate" | "selectedId")[];
}
