import * as React from "react";
import { BoxOptions, BoxHTMLProps } from "../Box/Box";
export declare type TabbableOptions = BoxOptions & {
    /**
     * Same as the HTML attribute.
     */
    disabled?: boolean;
    /**
     * When an element is `disabled`, it may still be `focusable`. It works
     * similarly to `readOnly` on form elements. In this case, only
     * `aria-disabled` will be set.
     */
    focusable?: boolean;
    /**
     * Whether or not trigger click on pressing <kbd>Enter</kbd>.
     * @private
     */
    unstable_clickOnEnter?: boolean;
    /**
     * Whether or not trigger click on pressing <kbd>Space</kbd>.
     * @private
     */
    unstable_clickOnSpace?: boolean;
};
export declare type TabbableHTMLProps = BoxHTMLProps & {
    disabled?: boolean;
};
export declare type TabbableProps = TabbableOptions & TabbableHTMLProps;
export declare const useTabbable: {
    (options?: TabbableOptions | undefined, htmlProps?: TabbableHTMLProps | undefined): TabbableHTMLProps;
    __keys: readonly any[];
    __useOptions: (options: TabbableOptions, htmlProps: TabbableHTMLProps) => TabbableOptions;
    __propsAreEqual?: ((prev: BoxOptions & {
        /**
         * Same as the HTML attribute.
         */
        disabled?: boolean | undefined;
        /**
         * When an element is `disabled`, it may still be `focusable`. It works
         * similarly to `readOnly` on form elements. In this case, only
         * `aria-disabled` will be set.
         */
        focusable?: boolean | undefined;
        /**
         * Whether or not trigger click on pressing <kbd>Enter</kbd>.
         * @private
         */
        unstable_clickOnEnter?: boolean | undefined;
        /**
         * Whether or not trigger click on pressing <kbd>Space</kbd>.
         * @private
         */
        unstable_clickOnSpace?: boolean | undefined;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    } & {
        disabled?: boolean | undefined;
    }, next: BoxOptions & {
        /**
         * Same as the HTML attribute.
         */
        disabled?: boolean | undefined;
        /**
         * When an element is `disabled`, it may still be `focusable`. It works
         * similarly to `readOnly` on form elements. In this case, only
         * `aria-disabled` will be set.
         */
        focusable?: boolean | undefined;
        /**
         * Whether or not trigger click on pressing <kbd>Enter</kbd>.
         * @private
         */
        unstable_clickOnEnter?: boolean | undefined;
        /**
         * Whether or not trigger click on pressing <kbd>Space</kbd>.
         * @private
         */
        unstable_clickOnSpace?: boolean | undefined;
    } & React.HTMLAttributes<any> & React.RefAttributes<any> & {
        wrapElement?: ((element: React.ReactNode) => React.ReactNode) | undefined;
    } & {
        disabled?: boolean | undefined;
    }) => boolean) | undefined;
};
export declare const Tabbable: import("reakit-system/src/createComponent").Component<"button", TabbableOptions>;
